templates.get("name@version")
curl --request GET \
--url https://api.paddock.build/v1/templates/{name}/versions/{version} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/templates/{name}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/templates/{name}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/templates/{name}/versions/{version}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"version": 2,
"harness": "claude-code",
"model": "<string>",
"labels": {},
"digest": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"document": {
"apiVersion": "paddock.build/v1",
"kind": "Template",
"metadata": {
"name": "<string>",
"labels": {}
},
"spec": {
"harness": "claude-code",
"model": "<string>",
"smallModel": "<string>",
"systemPrompt": "<string>",
"env": [
{
"name": "<string>",
"value": "<string>"
}
],
"permissions": {
"allow": [
"<string>"
],
"deny": [
"<string>"
]
},
"mcp": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"marketplaces": [
{
"name": "<string>",
"source": "<string>",
"revision": 1
}
],
"plugins": [
{
"name": "<string>",
"enabled": true
}
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Templates
templates.get("name@version")
GET
/
templates
/
{name}
/
versions
/
{version}
templates.get("name@version")
curl --request GET \
--url https://api.paddock.build/v1/templates/{name}/versions/{version} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/templates/{name}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/templates/{name}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/templates/{name}/versions/{version}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"version": 2,
"harness": "claude-code",
"model": "<string>",
"labels": {},
"digest": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"document": {
"apiVersion": "paddock.build/v1",
"kind": "Template",
"metadata": {
"name": "<string>",
"labels": {}
},
"spec": {
"harness": "claude-code",
"model": "<string>",
"smallModel": "<string>",
"systemPrompt": "<string>",
"env": [
{
"name": "<string>",
"value": "<string>"
}
],
"permissions": {
"allow": [
"<string>"
],
"deny": [
"<string>"
]
},
"mcp": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"marketplaces": [
{
"name": "<string>",
"source": "<string>",
"revision": 1
}
],
"plugins": [
{
"name": "<string>",
"enabled": true
}
]
}
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Path Parameters
Response
The template version